#!/bin/sh
echo 'name: reactive
version: 0.11.5
id: reactive-0.11.5-c43893b931b5085c1a74106c65251c7b

license: OtherLicense
copyright: (c) 2007-2009 by Conal Elliott
maintainer: conal@conal.net
stability: provisional
homepage: http://haskell.org/haskellwiki/reactive
package-url: http://code.haskell.org/reactive
synopsis: Push-pull functional reactive programming
description: /Reactive/ is a simple foundation for programming reactive systems
             functionally.  Like Fran\/FRP, it has a notions of (reactive) behaviors and
             events.  Unlike most previous FRP implementations, Reactive has a hybrid
             demand/data-driven implementation, as described in the paper \"Push-pull
             functional reactive programming\", <http://conal.net/papers/push-pull-frp/>.
             .
             This version of Reactive has some serious bugs that show up particularly
             with some uses of the Event monad.  Some problems have been due to bugs
             in the GHC run-time support for concurrency.  I do not know whether the
             remaining problems in Reactive are still more subtle RTS issues, or
             some subtle laziness bugs in Reactive.  Help probing the remaining
             difficulties is most welcome.
             .
             Import "FRP.Reactive" for FRP client apps.  To make a Reactive adapter for an
             imperative library, import "FRP.Reactive.LegacyAdapters".
             .
             Please see the project wiki page: <http://haskell.org/haskellwiki/reactive>
             .
             &#169; 2007-2009 by Conal Elliott; GNU AGPLv3 license (see COPYING).
             I am not thrilled with GPL, and I doubt I'\''ll stay with it for long.
             If you would like different terms, please talk to me.
             .
             With contributions from: Robin Green, Thomas Davie, Luke Palmer,
             David Sankel, Jules Bean, Creighton Hogg, Chuan-kai Lin, and Richard
             Smith.  Please let me know if I'\''ve forgotten to list you.
category: reactivity, FRP
author: Conal Elliott
exposed: True
exposed-modules: FRP.Reactive FRP.Reactive.Future
                 FRP.Reactive.PrimReactive FRP.Reactive.Reactive
                 FRP.Reactive.Behavior FRP.Reactive.Fun FRP.Reactive.Improving
                 FRP.Reactive.Num FRP.Reactive.VectorSpace
                 FRP.Reactive.Internal.Misc FRP.Reactive.Internal.Fun
                 FRP.Reactive.Internal.Future FRP.Reactive.Internal.Reactive
                 FRP.Reactive.Internal.Behavior FRP.Reactive.Internal.Clock
                 FRP.Reactive.Internal.Timing FRP.Reactive.Internal.Chan
                 FRP.Reactive.LegacyAdapters Data.AddBounds Data.Min Data.Max
                 Data.PairMonad FRP.Reactive.Internal.IVar
                 FRP.Reactive.Internal.Serial FRP.Reactive.Internal.TVal
hidden-modules:
trusted: False
import-dirs: /usr/local/lib/ghc-7.4.2/cabal/reactive-0.11.5
library-dirs: /usr/local/lib/ghc-7.4.2/cabal/reactive-0.11.5
              /usr/local/lib
hs-libraries: HSreactive-0.11.5
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: QuickCheck-2.5.1.1-b0101c9f2f49da67b606fa3478ecc4d1
         Stream-0.4.6.1-f6f4e12a182d1dacd826ac435f919e17
         TypeCompose-0.9.9-bc87240567d6ec818e3d8dca9f6d02f8
         base-4.5.1.0-12fddc14a7babb909dd3843e453b5660
         categories-1.0.5-1b9cc0faa9d2ae6c32a570b30942ffee
         checkers-0.3.1-6f57a9339d2bebf1404f2dbb36944905
         comonad-3.0.2-b0ceee3eca078a4979462cf2e86c7b95
         old-time-1.1.0.0-3e0f7b48d6c1d1415ad852e23725fdc1
         pointed-3.0.2-2d16b13e31607954b04d20b678323d40
         random-1.0.1.1-fb8963ffa6ffa7a0a448fb912ed467a3
         semigroups-0.9-7e502949bc7c9e3e2d6f68db86ac326f
         unamb-0.2.5-bc775b55b456d10ad65e9b56ae0a73db
         vector-space-0.8.6-e7cb96ab711805d0c334851d217d5fb5
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/ghc-7.4.2/cabal/reactive-0.11.5/html/reactive.haddock
haddock-html: /usr/local/share/doc/ghc-7.4.2/cabal/reactive-0.11.5/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-conf' "$@"
